SightRadardocs
API referenceCollections

Create a collection

Creates a new face collection owned by your account. (POST /v1/collections)

POST/v1/collections
Auth
Bearer API key
Billing
free (0 credits).

Creates a new face collection owned by your account. Free (0 credits).

Example request

curl -X POST "https://api.sightradar.com/v1/collections" \
  -H "Authorization: Bearer $SR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"collection_id":"event-2026"}'

Request body (application/json)

FieldTypeDescription
collection_id requiredstringYour chosen identifier for the collection.

Response body

FieldTypeDescription
collection_idstring
status"active" | "deleting" | "deleted"
photo_countinteger
face_countinteger
selfie_countinteger
created_atstring

Status codes

StatusMeaning
200Collection created.
400collection_id missing.
401Missing or invalid API key.
409Collection already exists in a non-active state.
Last updated

On this page